=== debian/changelog ===
gtk+3.0 (3.24.24-4+deb11u4) bullseye; urgency=medium

  * d/p/Stop-looking-for-modules-in-cwd.patch:
    Add patch backported from 3.24.43 to avoid looking for modules in
    current working directory (CVE-2024-6655)

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Jul 2024 14:30:18 +0100

gtk+3.0 (3.24.24-4+deb11u3) bullseye; urgency=medium

  * d/p/gdk_wayland_display_init_gl-use-GLES-API-if-required.patch:
    Apply patch from 3.24.35 to fix Wayland + EGL on GLES-only platforms.
    Previously, GTK assumed that EGL could use the OpenGL API everywhere,
    but some proprietary drivers like those for Raspberry Pi and Vivante
    only support OpenGL ES. Allow use of OpenGL ES to be forced via
    environment variable GDK_GL=gles.
    Thanks to Dominique Martinet (Closes: #1020937)

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Feb 2023 19:07:01 +0000

gtk+3.0 (3.24.24-4+deb11u2) bullseye; urgency=medium

  [ Jian-Hong Pan ]
  * d/p/printing-Create-temporary-queues-for-Avahi-printers.patch,
    d/p/printing-Show-all-Avahi-advertised-printers.patch:
    Backport patches from upstream 3.24.25 to enable temporary CUPS queues
    for local printers advertised via mDNS.
    This enables GTK to discover local printers and print to them, without
    needing to install the cups-browsed package or configure CUPS queues
    manually.
    (Closes: #982925)
  * d/p/Don-t-try-to-create-local-cups-printers-before-CUPS-2.2.patch:
    Backport patch from upstream 3.24.29 to make the printing module
    identical to the more widely-tested version in unstable.

  [ Simon McVittie ]
  * debian/cups-Use-the-same-name-mangling-as-Debian-11-s-cups-brows.patch:
    Avoid creating confusing duplicate printer entries if the printer's mDNS
    name begins or ends with a non-alphanumeric character. This change is
    specific to the Debian 11 version of cups-browsed, and is not necessary
    with cups-browsed 1.28.11 or later.
  * d/p/wayland-Ensure-clipboard-handling-doesn-t-lock-up-in-cert.patch:
    Backport patch from upstream 3.24.31 to prevent Wayland clipboard
    handling from locking up in certain corner cases (Closes: #1006281)

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Mar 2022 10:30:09 +0000

gtk+3.0 (3.24.24-4+deb11u1) bullseye; urgency=medium

  * Add patch from upstream to fix missing search results when using NFS
    (Closes: #976334)
  * d/gbp.conf, d/control.in: Set packaging branch to debian/bullseye

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 13:27:26 +0000

gtk+3.0 (3.24.24-4) unstable; urgency=medium

  * Add various patches from upstream 3.24.25 to 3.24.29, mostly
    crash fixes:
    - d/p/gdkpixbuf-drawable-Free-the-pixbuf-on-Cairo-error.patch:
      Fix a memory leak when a Cairo error occurs
    - d/p/Wayland-ignore-touch-tablet-events-on-destroyed-surfaces.patch:
      Fix crashes if input events are received on a recently-closed window
      or menu
    - d/p/label-Skip-updating-link-state-if-we-have-no-layout.patch:
      Fix crash if a GtkLabel's activate-link handler changes the
      label's markup
    - d/p/x11-dnd-Ignore-XErrors-from-the-COW.patch:
      Adds a missing error trap to prevent crashes in X11 drag & drop.
      The X11 functions called here cannot normally fail, but it seems
      they can fail in certain configurations of the NVIDIA proprietary
      driver. (LP: #1911036)
    - d/p/cssshadowvalue-Apply-device-scale-to-the-offset-when-blur.patch:
      Apply scale factor to blurred shadows.
      In particular this makes the desktop-icons-ng GNOME Shell extension,
      as used in Ubuntu 21.04, display correctly on HiDPI displays.
      (LP: #1919404)
    - d/p/scale-Fix-sporadic-criticals.patch:
      Fix a possible crash due to use-after-free
    - d/p/fontchooser-Fix-some-since-annotations.patch:
      Correct documentation
    - d/p/x11-Be-quiet-on-exit-by-default.patch:
      Don't spam the system log when disconnected from the X11 display
    - d/p/Fix-a-possible-crash-in-gtk_show_uri.patch:
      Don't crash if asked to display a URI that doesn't have a useful
      basename
    - d/p/x11-Don-t-beep-on-untrusted-displays.patch:
      Don't beep if connected to an X11 display that distrusts the
      application (ssh -X -oForwardX11Trusted=no), which can result in a
      fatal error
    - d/p/placesview-Open-location-even-if-mount-was-not-found.patch:
      Fix inability to display SMB server's list of shares
      (e.g. smb://192.168.1.1/) in Nautilus
  * d/p/updateiconcache-Sort-list-of-entries.patch:
    Mark as applied upstream to GTK 3 as well as to GTK 4

 -- Simon McVittie <smcv@debian.org>  Sun, 02 May 2021 12:34:12 +0100

gtk+3.0 (3.24.24-3) unstable; urgency=medium

  * d/patches: Backport font settings bug fixes recommended by upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Feb 2021 17:51:13 +0000

gtk+3.0 (3.24.24-2) unstable; urgency=medium

  * d/watch: Cope with "+" being escaped to "%2B" in links to tarballs
  * Increase dependency on librsvg2-common from Suggests to Recommends.
    This is not a hard dependency, but should be installed in nearly all
    cases. Increasingly many icons are provided in SVG format, so
    applications will appear broken if the SVG pixbuf loader is not
    installed. See #980396 for more information.
    adwaita-icon-theme already Recommends librsvg2-common, but people who
    routinely do not install recommended packages will get a better hint
    about how much will be broken by its removal if GTK also recommends it.

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Feb 2021 13:49:58 +0000

gtk+3.0 (3.24.24-1) unstable; urgency=medium

  * New upstream release
    - Update the default color palette
    - Fix font chooser in family-only mode to return regular style
    - Don't set focus-on-click for tree view header buttons
    - Add a11y support to GtkPlug/GtkSocket
    - Implement scrollSubstringTo for a11y
    - Allow the lpr backend to print pdf and ps files
    - Update gesture graphics

