## gtk+3.0 3.24.25

=== debian/changelog ===
gtk+3.0 (3.24.25-1ubuntu4.1) hirsute; urgency=medium

  * debian/patches/git_imcontext.patch:
    - cherry pick imcontext fixes until 3.24.29 (LP: #1925379)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 01 May 2021 10:01:31 +0200

gtk+3.0 (3.24.25-1ubuntu4) hirsute; urgency=medium

  * debian/patches/git_wayland_fonts.patch:
    - cherry pick a fix for GTK applications hitting errors under wayland
      on GNOME40, it isn't in Ubuntu yet but it should make testing the
      new version easier and also updates packages are provided in ppa
      already for testing so it should avoid surprises for those users
      (lp: #1922464)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Apr 2021 11:17:35 +0200

gtk+3.0 (3.24.25-1ubuntu3) hirsute; urgency=medium

  * d/p/x11-dnd-Ignore-XErrors-from-the-COW.patch:
    - Ignore XErrors from the COW (LP: #1911036)
  * d/p/cssshadowvalue-Apply-device-scale-to-the-offset-when.patch:
    - Apply device scale to the offset when blurring text
      (LP: #1919404)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 25 Mar 2021 16:17:15 +0100

gtk+3.0 (3.24.25-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:33:53 +0100

gtk+3.0 (3.24.25-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian. Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in and debian/tests/control (installed-tests):
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Feb 2021 11:35:15 +0100

gtk+3.0 (3.24.25-1) experimental; urgency=medium

  * New upstream release
    - Support for cursor aspect ratio setting
    - Broadway fixes
    - Avoid crashes with tablet input in Wayland
    - Add API for better support for Wayland subsurfaces
    - Make the Inspector available in non-debug builds
    - Make scrollbars larger
    - Disable shadows on maximized, fullscreen and tiled windows
    - Support Avahi-discovered printers better
    - Show preedit for compose sequences
    - Support long compose sequences
    - Support compose sequences producing multiple characters
    - Translation updates
  * Upload to experimental for now, to assess whether this is desirable
    for bullseye

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Feb 2021 16:34:08 +0000

gtk+3.0 (3.24.24-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian. Remaining changes:
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols
    + debian/control.in and debian/tests/control (installed-tests):
      - Build-depend on adwaita-icon-theme-full for icon name check test
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Jan 2021 12:38:37 +0100

gtk+3.0 (3.24.23-1ubuntu2) hirsute; urgency=medium

  * debian/patches/fontchooser_Fix_family-only_mode.patch:
    - Show regular monospace fonts in gnome-terminal's profile editor
      and not arbitrary font styles (LP: #1900729)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 02 Nov 2020 10:45:57 +0100
