=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: gtk+3.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, 
-Build-Depends: adwaita-icon-theme <!nocheck>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Build-Depends: adwaita-icon-theme-full <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 12),
                dh-sequence-gir,
+               dh-sequence-translations,
                fonts-cantarell <!nocheck>,
                fonts-dejavu-core <!nocheck>,
                gnome-pkg-tools (>= 0.11),
@@ -58,8 +60,10 @@
                      xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b debian/bullseye
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/master
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0
