=== debian/rules ===
--- 
+++ 
@@ -199,13 +199,16 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Mark reftests with known failures as non-fatal
 	# (See also somehow_broken in testsuite/reftests/meson.build)
+	touch testsuite/reftests/box-shadow-changes-modify-clip.ui.known_fail
 	touch testsuite/reftests/button-wrapping.ui.known_fail
 	touch testsuite/reftests/cellrenderer-pixbuf-stock-rtl.ui.known_fail
 	touch testsuite/reftests/flipping-icons.ui.known_fail
 	touch testsuite/reftests/label-sizing.ui.known_fail
+	touch testsuite/reftests/label-text-shadow-changes-modify-clip.ui.known_fail
 	touch testsuite/reftests/label-wrap-justify.ui.known_fail
 	touch testsuite/reftests/quit-mnemonic.ui.known_fail
 	touch testsuite/reftests/symbolic-icon-translucent-color.ui.known_fail
+	touch testsuite/reftests/text-shadow-changes-modify-clip.ui.known_fail
 	touch testsuite/reftests/window-height-for-width.ui.known_fail
 	# So that gsettings can find the (uninstalled) gtk schemas
 	mkdir -p debian/build/glib-2.0/schemas/
@@ -223,12 +226,5 @@
 endif
 
 override_dh_install:
-	dh_install -p$(UDEB_PKG) --sourcedir=debian/install/udeb
-	dh_install --remaining-packages --sourcedir=debian/install/deb
-
-override_dh_missing:
-ifneq ($(filter %-udeb,$(built_binaries)),)
-	dh_missing --sourcedir=debian/install/udeb --list-missing -X.la
-endif
-	dh_missing --sourcedir=debian/install/deb --list-missing -X.la
-
+	# Install custom settings
+	mkdir -p debian/$(SHARED_PKG)/$(CONFDIR)
