## gtk+3.0 3.24.27

=== debian/changelog ===
gtk+3.0 (3.24.27-1pureos2~amber0) amber-phone; urgency=medium

  * Make GtkShortcutsWindow adaptive

 -- Alexander Mikhaylenko <alexander.mikhaylenko@puri.sm>  Mon, 22 Mar 2021 13:29:44 +0500

gtk+3.0 (3.24.27-1pureos1~amber0) amber-phone; urgency=medium

  [ Alexander Mikhaylenko ]
  * New upstream release

 -- Alexander Mikhaylenko <alexander.mikhaylenko@puri.sm>  Thu, 18 Mar 2021 12:43:28 +0500

gtk+3.0 (3.24.24-1pureos1~amber0) amber-phone; urgency=medium

  * Backport fixes from libhandy
  * Stop including HdyStackableBox and HdyLeaflet
  * Include HdyAnimation and HdyFlap
  * Replace HdyLeaflet with HdyFlap in the file chooser
  * Make the second line of text in file chooser rows half-transparent
  * Hide file chooser image preview on mobile
  * Make GtkMessageDialog and GtkHeaderBar follow is-phone changes on the fly
  * Revert GtkInfoBar changes when is-phone is false, change it on the fly
  * Adapt print dialog for phones

 -- Alexander Mikhaylenko <alexander.mikhaylenko@puri.sm>  Tue, 16 Feb 2021 12:06:03 +0500

gtk+3.0 (3.24.24-1pureos0~amber0) amber-phone; urgency=medium

  [ purism ]
  * New upstream release

  [ Alexander Mikhaylenko ]
  * Update patches
  * Revert the changes requiring newer libatk

 -- Alexander Mikhaylenko <alexander.mikhaylenko@puri.sm>  Fri, 11 Dec 2020 16:31:06 +0500

gtk+3.0 (3.24.24~really3.23.23-1pureos0) amber-phone; urgency=high

  [ Danct12 ]
  * Add org.gtk.Settings.Purism to gtk/Makefile.am

  [ Alexander Mikhaylenko ]
  * events: Compress touch update events
  * Fix message dialog style

  [ Arnaud Ferraris ]
  * debian: libgtk-3-common: install Purism gschema

 -- Alexander Mikhaylenko <alexander.mikhaylenko@puri.sm>  Mon, 07 Dec 2020 16:45:03 +0500

gtk+3.0 (3.24.23-2pureos3) amber-phone; urgency=high

  * Disable window dragging on phones

 -- Alexander Mikhaylenko <alexander.mikhaylenko@puri.sm>  Tue, 10 Nov 2020 12:39:57 +0500

gtk+3.0 (3.24.23-2pureos2) amber-phone; urgency=medium

  * Fix the build

 -- Alexander Mikhaylenko <alexander.mikhaylenko@puri.sm>  Wed, 04 Nov 2020 19:10:43 +0500

gtk+3.0 (3.24.23-2pureos1) amber-phone; urgency=medium

  [ Adrien Plazas ]
  * librem5: Add CI

  [ Alexander Mikhaylenko ]
  * Adjust gbp config for amber-phone
  * Revert "Build-depend on gdk-pixbuf 2.40 instead of working around an old bug"
  * Add previous downstream patches

 -- Alexander Mikhaylenko <alexander.mikhaylenko@puri.sm>  Tue, 03 Nov 2020 17:02:07 +0500
