=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: gtk+3.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: adwaita-icon-theme-full <!nocheck>,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>
+Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 12),
                dh-sequence-gir,
-               dh-sequence-translations,
                fonts-cantarell <!nocheck>,
                fonts-dejavu-core <!nocheck>,
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 1.41.3),
                gsettings-desktop-schemas <!nocheck>,
                gtk-doc-tools (>= 1.20),
-               libatk-bridge2.0-dev (>= 2.15.1),
-               libatk1.0-dev (>= 2.35.1),
+               libatk-bridge2.0-dev,
+               libatk1.0-dev (>= 2.15.1),
                libcairo2-dev (>= 1.14.0),
                libcolord-dev (>= 0.1.9),
                libcups2-dev (>= 1.7),
@@ -25,7 +23,7 @@
                libepoxy-dev (>= 1.4),
                libfontconfig1-dev,
                libfribidi-dev (>= 0.19.7),
-               libgdk-pixbuf-2.0-dev (>= 2.40.0) | libgdk-pixbuf2.0-dev (>= 2.40.0),
+               libgdk-pixbuf2.0-dev (>= 2.30.0),
                libgirepository1.0-dev (>= 1.39.0),
                libglib2.0-dev (>= 2.57.2),
                libharfbuzz-dev (>= 0.9),
@@ -48,7 +46,7 @@
                libxrandr-dev (>= 2:1.5.0),
                pkg-config,
                sassc,
-               wayland-protocols (>= 1.17) [linux-any],
+               wayland-protocols (>= 1.14) [linux-any],
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: docbook-xml,
@@ -59,11 +57,9 @@
                      libpango1.0-doc,
                      xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/master
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0
@@ -76,9 +72,9 @@
          ${shlibs:Depends},
          libgtk-3-common (>= ${source:Version})
 Provides: gtk3-binver-3.0.0
-Recommends: libgtk-3-bin,
-            librsvg2-common
+Recommends: libgtk-3-bin
 Suggests: gvfs,
+          librsvg2-common
 Description: GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -145,14 +141,14 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gtk-3.0 (= ${binary:Version}),
-         libatk-bridge2.0-dev (>= 2.15.1),
-         libatk1.0-dev (>= 2.35.1),
+         libatk-bridge2.0-dev,
+         libatk1.0-dev (>= 2.15.1),
          libcairo2-dev (>= 1.14.0),
          libegl1-mesa-dev [linux-any],
          libepoxy-dev (>= 1.0),
          libfontconfig1-dev,
          libfribidi-dev (>= 0.19.7),
-         libgdk-pixbuf-2.0-dev (>= 2.40.0) | libgdk-pixbuf2.0-dev (>= 2.40.0),
+         libgdk-pixbuf2.0-dev (>= 2.30.0),
          libglib2.0-dev (>= 2.57.2),
          libpango1.0-dev (>= 1.41),
          libwayland-dev (>= 1.9.91) [linux-any],
@@ -167,7 +163,7 @@
          libxkbcommon-dev,
          libxrandr-dev,
          pkg-config,
-         wayland-protocols (>= 1.17) [linux-any],
+         wayland-protocols (>= 1.14) [linux-any],
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk-3-common,
